namespace myDataProperties
{
	[System.Serializable]
	public class UpperTextCount : FreD.Understand.Properties.IDataProperty
	{
		public string Name
		{
			get
			{
				return "Text.UpperTextCount";
			}
		}

		public string Description
		{
			get
			{
				return "Count of text only in upper case.";
			}
		}

		public object Process( object value )
		{
			if( value != null )
			{
				string text = value.ToString();

				if( text == text.ToUpper() )
					_count++;
			}

			return _count;
		}

		public object Terminate()
		{
			return _count;
		}

		public object GetValue()
		{
			return _count;
		}

		private int _count = 0;
	}
}