namespace MyDetector
{
	[System.Serializable()]
	public class ExactDetector : FreD.Improve.Deduplication.IDuplicateDetector
	{
		public double Threshold
		{
			get
			{
				return _threshold;
			}
			set
			{
				_threshold = value;
			}
		}

		public FreD.IMatching GenericComparator
		{
			get
			{
				return null;
			}
			set
			{
			}
		}

		public bool Trace
		{
			get
			{
				return _trace;
			}
			set
			{
				_trace = value;
			}
		}

		public string DuplicateCheck( object[] values1, object[] values2, FreD.IMatching[] comparators )
		{
			double sum = 0.0;

			for( int i = 0; i < values1.Length; i++ )
			{
				System.IComparable compare = values1[ i ] as System.IComparable;

				// Exakte bereinstimmung zweier Spaltenwerte berprfen
				if( compare != null && compare.CompareTo( values2[ i ] ) == 0 )
					sum += 1.0;
			}

			// Summe durch Anzahl Spalten
			double similarity = sum / values1.Length;

			if( similarity >= Threshold )
				return string.Format( "Similarity = {0}, Sum = {1}", similarity, sum );

			return null;
		}

		private double _threshold = 0.8;
		private bool   _trace = false;
	}
}