﻿namespace DataQuality.Extension
{
	public class SimpleMatching : FreD.Text.Matching.ITextMatching
	{
		public int StartLength
		{
			set
			{
				_startLength = value;
			}
		}

		public double Match( string text1, string text2 )
		{
			int i = 0;

			if( string.IsNullOrEmpty( text1 ) || string.IsNullOrEmpty( text2 ) )
				return 0.0;

			text1 = text1.ToUpper();
			text2 = text2.ToUpper();

			for( ; i<text1.Length && i<text2.Length && i<_startLength; i++ )
			{
				char c1 = text1[ i ];
				char c2 = text2[ i ];

				if( c1 != c2 )
					break;
			}

			return ( double )i / _startLength;
		}

		private int _startLength = 5;
	}
}